| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Compressed Load Reset Operations
Load/Store Operations » Compressed Load Operations

## Overview

These functions are used to reset the state of the internal buffer.

## Functions
void | compr_reset (v128int4_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v128int4_compress *&p, v128int4_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v128uint4_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v128uint4_compress *&p, v128uint4_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v16bfloat16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v16bfloat16_compress *&p, v16bfloat16_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v16cint16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v16cint16_compress *&p, v16cint16_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v16int16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v16int16_compress *&p, v16int16_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v16int32_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v16int32_compress *&p, v16int32_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v16uint16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v16uint16_compress *&p, v16uint16_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v16uint32_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v16uint32_compress *&p, v16uint32_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v32bfloat16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v32bfloat16_compress *&p, v32bfloat16_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v32int16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v32int16_compress *&p, v32int16_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v32int8_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v32int8_compress *&p, v32int8_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v32uint16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v32uint16_compress *&p, v32uint16_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v32uint8_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v32uint8_compress *&p, v32uint8_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v4cint32_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v4cint32_compress *&p, v4cint32_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v64int4_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v64int4_compress *&p, v64int4_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v64int8_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v64int8_compress *&p, v64int8_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v64uint4_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v64uint4_compress *&p, v64uint4_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v64uint8_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v64uint8_compress *&p, v64uint8_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v8cint16_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v8cint16_compress *&p, v8cint16_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v8cint32_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v8cint32_compress *&p, v8cint32_compress *&p2)
| Resets and fills the internal buffer.
void | compr_reset (v8int32_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v8int32_compress *&p, v8int32_compress *&p2)
| Resets fills the internal buffer.
void | compr_reset (v8uint32_compress *&p)
| Resets and fills the internal buffer.
void | compr_reset (v8uint32_compress *&p, v8uint32_compress *&p2)
| Resets fills the internal buffer.

## Function Documentation

## ◆ compr_reset() [1/44]

void compr_reset | ( | v128int4_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [2/44]

void compr_reset | ( | v128int4_compress *& | p,
|  | v128int4_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [3/44]

void compr_reset | ( | v128uint4_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [4/44]

void compr_reset | ( | v128uint4_compress *& | p,
|  | v128uint4_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [5/44]

void compr_reset | ( | v16bfloat16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [6/44]

void compr_reset | ( | v16bfloat16_compress *& | p,
|  | v16bfloat16_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [7/44]

void compr_reset | ( | v16cint16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [8/44]

void compr_reset | ( | v16cint16_compress *& | p,
|  | v16cint16_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [9/44]

void compr_reset | ( | v16int16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [10/44]

void compr_reset | ( | v16int16_compress *& | p,
|  | v16int16_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [11/44]

void compr_reset | ( | v16int32_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [12/44]

void compr_reset | ( | v16int32_compress *& | p,
|  | v16int32_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [13/44]

void compr_reset | ( | v16uint16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [14/44]

void compr_reset | ( | v16uint16_compress *& | p,
|  | v16uint16_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [15/44]

void compr_reset | ( | v16uint32_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [16/44]

void compr_reset | ( | v16uint32_compress *& | p,
|  | v16uint32_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [17/44]

void compr_reset | ( | v32bfloat16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [18/44]

void compr_reset | ( | v32bfloat16_compress *& | p,
|  | v32bfloat16_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [19/44]

void compr_reset | ( | v32int16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [20/44]

void compr_reset | ( | v32int16_compress *& | p,
|  | v32int16_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [21/44]

void compr_reset | ( | v32int8_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [22/44]

void compr_reset | ( | v32int8_compress *& | p,
|  | v32int8_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [23/44]

void compr_reset | ( | v32uint16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [24/44]

void compr_reset | ( | v32uint16_compress *& | p,
|  | v32uint16_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [25/44]

void compr_reset | ( | v32uint8_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [26/44]

void compr_reset | ( | v32uint8_compress *& | p,
|  | v32uint8_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [27/44]

void compr_reset | ( | v4cint32_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [28/44]

void compr_reset | ( | v4cint32_compress *& | p,
|  | v4cint32_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [29/44]

void compr_reset | ( | v64int4_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [30/44]

void compr_reset | ( | v64int4_compress *& | p,
|  | v64int4_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [31/44]

void compr_reset | ( | v64int8_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [32/44]

void compr_reset | ( | v64int8_compress *& | p,
|  | v64int8_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [33/44]

void compr_reset | ( | v64uint4_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [34/44]

void compr_reset | ( | v64uint4_compress *& | p,
|  | v64uint4_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [35/44]

void compr_reset | ( | v64uint8_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [36/44]

void compr_reset | ( | v64uint8_compress *& | p,
|  | v64uint8_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [37/44]

void compr_reset | ( | v8cint16_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [38/44]

void compr_reset | ( | v8cint16_compress *& | p,
|  | v8cint16_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [39/44]

void compr_reset | ( | v8cint32_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

## ◆ compr_reset() [40/44]

void compr_reset | ( | v8cint32_compress *& | p,
|  | v8cint32_compress *& | p2 )

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [41/44]

void compr_reset | ( | v8int32_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [42/44]

void compr_reset | ( | v8int32_compress *& | p,
|  | v8int32_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.

## ◆ compr_reset() [43/44]

void compr_reset | ( | v8uint32_compress *& | p | ) |

Resets and fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.

## ◆ compr_reset() [44/44]

void compr_reset | ( | v8uint32_compress *& | p,
|  | v8uint32_compress *& | p2 )

Resets fills the internal buffer.

Parameters

  p | Pointer to memory location from which internal buffer will be filled. Must be 32-bit aligned.
  p2 | Returns internal buffer pointer. Points to next available data inside the buffer.